CharacterStringConverter (JavaFX 28)
Description: declaration: module: javafx.base, package: javafx.util.converter, class: CharacterStringConverter

# Class CharacterStringConverter

java.lang.Object
javafx.util.StringConverter<Character>
javafx.util.converter.CharacterStringConverter

public class CharacterStringConverter extends StringConverter<Character>
A `StringConverter` implementation for `Character` (and `char`) values. Formatting is done by `Character.toString()` for non-`null` values, and parsing with `Character.valueOf(char)` for non-`null` non-empty strings.

Since:
  JavaFX 2.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharacterStringConverter()`
  Creates a default `CharacterStringConverter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Character`
  `fromString(String value)`
  Converts a string to an object.
  `String`
  `toString(Character value)`
  Converts an object to a string form.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CharacterStringConverter

    public CharacterStringConverter()
    Creates a default `CharacterStringConverter`.

- ## Method Details

  - ### fromString

    public Character fromString(String value)
    Converts a string to an object. The parsing mechanism is defined by the specific converter. `null` and empty string are converted to `null`.
    Parameters:
      `value` - the `String` to convert
    Returns:
      an object of type `T` created from the string passed in

  - ### toString

    public String toString(Character value)
    Converts an object to a string form. The format of the returned string is defined by the specific converter. `null` is converted to an empty string, otherwise the type's `toString` is used.
    Parameters:
      `value` - the object of type `T` to convert
    Returns:
      a string representation of the object passed in